import { FC, MouseEvent, ReactNode } from 'react';
import { SnackbarProps } from '@equinor/eds-core-react';
interface ShowSnackbarSettings {
    customProps?: SnackbarProps;
    action?: {
        text: string;
        handler: (event: MouseEvent<HTMLButtonElement>) => void;
        disabled?: boolean;
    };
}
export interface ShowSnackbar {
    text: string;
    variant: 'info' | 'warning' | 'error';
}
export interface State {
    showSnackbar: (text: string | ShowSnackbar, props?: ShowSnackbarSettings) => void;
    setActionDisabledState: (disabled: boolean) => void;
    hideSnackbar: () => void;
}
export declare const useSnackbar: () => State;
export type SnackbarProviderProps = {
    children: ReactNode;
} & SnackbarProps;
export declare const SnackbarProvider: FC<SnackbarProviderProps>;
export {};
